2023-12-11 12:55 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006231Archipelagos[WHDLoad Installs Games] slavepublic2023-09-01 07:40
ReporterTom-Cat 
Assigned ToStingRayProject InfoArchipelagos (Astral Software)
http://www.whdload.de/games/Archipelagos.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0006231: On OS 3.2 the mouse aiming is not working at all, it always moves the display around
DescriptionOn OS 3.2 the mouse aiming is not working at all, it always moves the display around
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.2
KickROM47 - Kick 3.2
KickSoftNone
WHDLoad18.9
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0013108

aardvark82 (reporter)

Reproducible on fast 060 card, but only when Cache tooltype is used. Perhaps the problem here is PiStorm accelerator, which i've been told cannot operate without caches.
I Noticed other problem with the slave, Quitkey freezes the Amiga in NTSC mode. Effects both SPS versions.

note ~0013165

StingRay (developer)

The freeze after pressing the quitkey is caused by waiting for a raster line, that is never reached on NTSC systems. It will be fixed in the next update.

I can't reproduce the mouse problem, the game does use quite a bit of SMC though. Can you try the patch with NOCACHE tooltype and check if that fixes the mouse problem?

note ~0013166

Tom-Cat (reporter)

Actually ExpChip in combo with NoCache fixed the issue. Thank you for the suggestions.

note ~0013167

StingRay (developer)

Thanks for the feedback, I will close the ticket then. I have attached a new slave that fixes the quitkey problem on NTSC machines, aardvark82 can use this for now (there are no other changes to the previous 1.1 version) until I create an updated package.
+Notes

-Issue History
Date Modified Username Field Change
2023-08-08 10:35 Tom-Cat New Issue
2023-08-08 17:58 aardvark82 Note Added: 0013108
2023-08-21 22:53 StingRay Assigned To => StingRay
2023-08-21 22:53 StingRay Status new => assigned
2023-08-31 22:22 StingRay Note Added: 0013165
2023-08-31 22:32 Tom-Cat Note Added: 0013166
2023-09-01 07:35 StingRay File Added: Archipelagos.slave
2023-09-01 07:39 StingRay Note Added: 0013167
2023-09-01 07:40 StingRay Status assigned => resolved
2023-09-01 07:40 StingRay Resolution open => fixed
+Issue History